CDT Downloads
-------------

All downloads are provided under the terms and conditions of the [Eclipse Foundation Software User Agreement](https://www.eclipse.org/legal/epl/notice.php) unless otherwise specified.

The CDT can either be installed as part of the Eclipse C/C++ IDE packaged zip file or installed into an existing Eclipse using the "Install New Software..." dialog and entering the p2 repository URLs listed below.

CDT can be used as a standalone debugger. Please See [Standalone Debugger on GitHub](https://github.com/eclipse-cdt/cdt/blob/main/StandaloneDebugger.md) and download the Eclipse C/C++ IDE from [main downloads site](https://www.eclipse.org/downloads/).

Starting with CDT 11, the downloads information is part of the [release page](https://github.com/eclipse-cdt/cdt/releases). The older release information below is kept for historical significance.

<details>
  <summary>CDT 10.x release series</summary>
  
Please use the latest release available on the [release page](https://github.com/eclipse-cdt/cdt/releases) whenever possible. Old releases are not maintained and bug reports should be created on latest release.

### CDT 10.7.1 for Eclipse 2022-06

Eclipse package: [Eclipse C/C++ IDE for 2022-06](https://www.eclipse.org/downloads/packages/release/2022-06/r/eclipse-ide-cc-developers) and run Check for Updates to get CDT 10.7.1.

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/10.7>

The git repo have been tagged with the [CDT_10_7_1](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_10_7_1) tag.

Archived p2 repos:

-   [cdt-10.7.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.7/cdt-10.7.1/cdt-10.7.1.zip)
-   [cdt-10.7.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.7/cdt-10.7.0/cdt-10.7.0.zip)

As of CDT 10.2.0 CDT no longer provides a separate standalone debugger download. Please See [Standalone Debugger on GitHub](https://github.com/eclipse-cdt/cdt/blob/main/StandaloneDebugger.md) and download the Eclipse C/C++ IDE from [main downloads site](https://www.eclipse.org/downloads/).

### CDT 10.6.2 for Eclipse 2022-03

Eclipse package: [Eclipse C/C++ IDE for 2022-03](https://www.eclipse.org/downloads/packages/release/2022-03/r/eclipse-ide-cc-developers) and run Check for Updates to get CDT 10.6.2.

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/10.6>

The git repo have been tagged with the [CDT_10_6_2](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_10_6_2) tag.

Archived p2 repos:

-   [cdt-10.6.2.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.6/cdt-10.6.2/cdt-10.6.2.zip)
-   [cdt-10.6.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.6/cdt-10.6.1/cdt-10.6.1.zip)
-   [cdt-10.6.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.6/cdt-10.6.0/cdt-10.6.0.zip)

As of CDT 10.2.0 CDT no longer provides a separate standalone debugger download. Please See [Standalone Debugger on GitHub](https://github.com/eclipse-cdt/cdt/blob/main/StandaloneDebugger.md) and download the Eclipse C/C++ IDE from [main downloads site](https://www.eclipse.org/downloads/).

### CDT 10.5.0 for Eclipse 2021-12

Eclipse package: [Eclipse C/C++ IDE for 2021-12](https://www.eclipse.org/downloads/packages/release/2021-12/r/eclipse-ide-cc-developers) and run Check for Updates to get CDT 10.5.0.

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/10.5>

The git repo have been tagged with the [CDT_10_5_0](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_10_5_0) tag.

Archived p2 repos:

-   [cdt-10.5.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.5/cdt-10.5.0/cdt-10.5.0.zip)

As of CDT 10.2.0 CDT no longer provides a separate standalone debugger download. Please See [Standalone Debugger on GitHub](https://github.com/eclipse-cdt/cdt/blob/main/StandaloneDebugger.md) and download the Eclipse C/C++ IDE from [main downloads site](https://www.eclipse.org/downloads/).

### CDT 10.4.1 for Eclipse 2021-09

Eclipse package: [Eclipse C/C++ IDE for 2021-09](https://www.eclipse.org/downloads/packages/release/2021-09/r/eclipse-ide-cc-developers) and run Check for Updates to get CDT 10.4.1.

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/10.4>

The git repo have been tagged with the [CDT_10_4_1](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_10_4_1) tag.

Archived p2 repos:

-   [cdt-10.4.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.4/cdt-10.4.1/cdt-10.4.1.zip)
-   [cdt-10.4.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.4/cdt-10.4.0/cdt-10.4.0.zip)

As of CDT 10.2.0 CDT no longer provides a separate standalone debugger download. Please See [Standalone Debugger on GitHub](https://github.com/eclipse-cdt/cdt/blob/main/StandaloneDebugger.md) and download the Eclipse C/C++ IDE from [main downloads site](https://www.eclipse.org/downloads/).

### CDT 10.3.3 for Eclipse 2021-06

Eclipse package: [Eclipse C/C++ IDE for 2021-06](https://www.eclipse.org/downloads/packages/release/2021-06/r/eclipse-ide-cc-developers) and run Check for Updates to get CDT 10.3.3.

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/10.3>

The git repo have been tagged with the [CDT_10_3_3](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_10_3_3) tag.

Archived p2 repos:

-   [cdt-10.3.3.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.3/cdt-10.3.3/cdt-10.3.3.zip)
-   [cdt-10.3.2.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.3/cdt-10.3.2/cdt-10.3.2.zip)
-   [cdt-10.3.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.3/cdt-10.3.1/cdt-10.3.1.zip)
-   [cdt-10.3.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.3/cdt-10.3.0/cdt-10.3.0.zip)

As of CDT 10.2.0 CDT no longer provides a separate standalone debugger download. Please See [Standalone Debugger on GitHub](https://github.com/eclipse-cdt/cdt/blob/main/StandaloneDebugger.md) and download the Eclipse C/C++ IDE from [main downloads site](https://www.eclipse.org/downloads/).

### CDT 10.2.0 for Eclipse 2021-03

Eclipse package: [Eclipse C/C++ IDE for 2021-03](https://www.eclipse.org/downloads/packages/release/2021-03/r/eclipse-ide-cc-developers) .

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/10.2>

The git repo have been tagged with the [CDT_10_2_0](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_10_2_0) tag.

Archived p2 repos:

-   [cdt-10.2.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.2/cdt-10.2.0/cdt-10.2.0.zip)

As of CDT 10.2.0 CDT no longer provides a separate standalone debugger download. Please See [Standalone Debugger on GitHub](https://github.com/eclipse-cdt/cdt/blob/main/StandaloneDebugger.md) and download the Eclipse C/C++ IDE from [main downloads site](https://www.eclipse.org/downloads/).

### CDT 10.1.0 for Eclipse 2020-12

Eclipse package: [Eclipse C/C++ IDE for 2020-12](https://www.eclipse.org/downloads/packages/release/2020-12/r/eclipse-ide-cc-developers) .

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/10.1>

The git repo have been tagged with the [CDT_10_1_0](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_10_1_0) tag.

Archived p2 repos:

-   [cdt-10.1.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.1/cdt-10.1.0/cdt-10.1.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/10.1/cdt-10.1.0/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/10.1/cdt-10.1.0/rcp-repository>

### CDT 10.0.1 for Eclipse 2020-09

Eclipse package: [Eclipse C/C++ IDE for 2020-09](https://www.eclipse.org/downloads/packages/release/2020-09/r/eclipse-ide-cc-developers) and run Check for Updates to get CDT 10.0.1.

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/10.0>

The git repo have been tagged with the [CDT_10_0_1](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_10_0_1) tag.

Archived p2 repos:

-   [cdt-10.0.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.0/cdt-10.0.1/cdt-10.0.1.zip)
-   [cdt-10.0.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/10.0/cdt-10.0.0/cdt-10.0.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/10.0/cdt-10.0.0/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/10.0/cdt-10.0.0/rcp-repository> (CDT 10.0.1 does not include any changes to the stand-alone debugger and therefore there is no updated release for CDT 10.0.1)

</details>
  
<details>
  <summary>CDT 9.x release series</summary>
  
Please use the latest release available on the [release page](https://github.com/eclipse-cdt/cdt/releases) whenever possible. Old releases are not maintained and bug reports should be created on latest release.

### CDT 9.11.1 for Eclipse 2020-03 and 2020-06

Eclipse package: [Eclipse C/C++ IDE for 2020-06](https://www.eclipse.org/downloads/packages/release/2020-06/r/eclipse-ide-cc-developers).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/9.11>

The git repo have been tagged with the [CDT_9_11_1](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_9_11_1) tag.

Archived p2 repos:

-   [cdt-9.11.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.11/cdt-9.11.1/cdt-9.11.1.zip)
-   [cdt-9.11.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.11/cdt-9.11.0/cdt-9.11.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/9.11/cdt-9.11.1/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/9.11/cdt-9.11.1/rcp-repository>

### CDT 9.10.0 for Eclipse 2019-12

Eclipse package: [Eclipse C/C++ IDE for 2019-12](https://www.eclipse.org/downloads/packages/release/2019-12/r/eclipse-ide-cc-developers).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/9.10>

The git repo have been tagged with the [CDT_9_10_0](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_9_10_0) tag.

Archived p2 repos:

-   [cdt-9.10.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.10/cdt-9.10.0/cdt-9.10.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/9.10/cdt-9.10.0/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/9.10/cdt-9.10.0/rcp-repository>

### CDT 9.9.0 for Eclipse 2019-09

Eclipse package: [Eclipse C/C++ IDE for 2019-09](https://www.eclipse.org/downloads/packages/release/2019-09/r/eclipse-ide-cc-developers).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/9.9>

The git repo have been tagged with the [CDT_9_9_0](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_9_9_0) tag.

Archived p2 repos:

-   [cdt-9.9.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.9/cdt-9.9.0/cdt-9.9.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/9.9/cdt-9.9.0/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/9.9/cdt-9.9.0/rcp-repository>

### CDT 9.8.0 for Eclipse 2019-06

Eclipse package: [Eclipse C/C++ IDE for 2019-06](https://www.eclipse.org/downloads/packages/release/2019-06/r/eclipse-ide-cc-developers).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/9.8>

The git repo have been tagged with the [CDT_9_8_1](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_9_8_1) tag.

Archived p2 repos:

-   [cdt-9.8.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.8/cdt-9.8.1/cdt-9.8.1.zip)
-   [cdt-9.8.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.8/cdt-9.8.0/cdt-9.8.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/9.8/cdt-9.8.1/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/9.8/cdt-9.8.1/rcp-repository>

### CDT 9.7.2 for Eclipse 2019-03

Eclipse package: [Eclipse C/C++ IDE for 2019-03](https://www.eclipse.org/downloads/packages/release/2019-03/r/eclipse-ide-cc-developers).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/9.7>

The git repo have been tagged with the [CDT_9_7_2](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_9_7_2) tag.

Archived p2 repos:

-   [cdt-9.7.2.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.7/cdt-9.7.2/cdt-9.7.2.zip)
-   [cdt-9.7.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.7/cdt-9.7.1/cdt-9.7.1.zip)
-   [cdt-9.7.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.7/cdt-9.7.0/cdt-9.7.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/9.7/cdt-9.7.2/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/9.7/cdt-9.7.2/rcp-repository>

### CDT 9.6.0 for Eclipse 2018-12

Eclipse package: [Eclipse C/C++ IDE for 2018-12](https://www.eclipse.org/downloads/packages/release/2018-12/r/eclipse-ide-cc-developers).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/9.6>

The git repo have been tagged with the [CDT_9_6_0](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_9_6_0) tag.

Archived p2 repos:

-   [cdt-9.6.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.6/cdt-9.6.0/cdt-9.6.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/9.6/cdt-9.6.0/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/9.6/cdt-9.6.0/rcp-repository>

### CDT 9.5.5 for Eclipse Photon and 2018-09

Eclipse package: [Eclipse C/C++ IDE for 2018-09](https://www.eclipse.org/downloads/packages/release/2018-09/r/eclipse-ide-cc-developers).

Eclipse package: [Eclipse C/C++ IDE for Photon](https://www.eclipse.org/downloads/packages/release/photon/r/eclipse-ide-cc-developers).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/9.5>

The git repo have been tagged with the [CDT_9_5_5](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_9_5_5) tag.

Archived p2 repos:

-   [cdt-9.5.5.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.5/cdt-9.5.5/cdt-9.5.5.zip)
-   [cdt-9.5.4.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.5/cdt-9.5.4/cdt-9.5.4.zip)
-   [cdt-9.5.3.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.5/cdt-9.5.3/cdt-9.5.3.zip)
-   [cdt-9.5.2.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.5/cdt-9.5.2/cdt-9.5.2.zip)
-   [cdt-9.5.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.5/cdt-9.5.1/cdt-9.5.1.zip)
-   [cdt-9.5.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.5/cdt-9.5.0/cdt-9.5.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/9.5/cdt-9.5.5/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/9.5/cdt-9.5.5/rcp-repository>

### CDT 9.4.3 for Eclipse Oxygen

Eclipse package: [Eclipse C/C++ IDE for Oxygen.3](https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers/oxygen3).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/9.4>

The git repo have been tagged with the [CDT_9_4_3](https://github.com/eclipse-cdt/cdt/releases/tag/CDT_9_4_3) tag.

Archived p2 repos:

-   [cdt-9.4.3.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.4/cdt-9.4.3/cdt-9.4.3.zip)
-   [cdt-9.4.2.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.4/cdt-9.4.2/cdt-9.4.2.zip)
-   [cdt-9.4.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.4/cdt-9.4.1/cdt-9.4.1.zip)
-   [cdt-9.4.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.4/cdt-9.4.0/cdt-9.4.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/9.4/cdt-9.4.3/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/9.4/cdt-9.4.3/rcp-repository>

### CDT 9.3.3 for Eclipse Oxygen

Eclipse package: [Eclipse C/C++ IDE for Oxygen.1](https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers/oxygen1).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/9.3>

The git repo have been tagged with the CDT_9_3_0 tag.

Archived p2 repos:

-   [cdt-9.3.3.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.3/cdt-9.3.3.zip)
-   CDT 9.3.2 was not released.
-   [cdt-9.3.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.3/cdt-9.3.1.zip)
-   [cdt-9.3.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.3/cdt-9.3.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/9.3/cdt9.3.3/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/9.3/cdt9.3.3/rcp-repository>

### CDT 9.2.1 for Eclipse Neon

Eclipse package: [Eclipse C/C++ IDE for Neon.3](https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers/neon3).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/9.2>

The git repo have been tagged with the CDT_9_2_1 tag.

Archived p2 repos:

-   [cdt-9.2.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.2/cdt-9.2.1.zip)
-   [cdt-9.2.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.2/cdt-9.2.0.zip)
-   [cdt-9.1.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.1/cdt-9.1.0.zip)
-   [cdt-9.0.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.0/cdt-9.0.1.zip)
-   [cdt-9.0.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/9.0/cdt-9.0.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/9.2/r.1/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/9.2/r.1/rcp-repository>
</details>
  
<details>
  <summary>CDT 6.x - 8.x release series</summary>
  
Please use the latest release available on the [release page](https://github.com/eclipse-cdt/cdt/releases) whenever possible. Old releases are not maintained and bug reports should be created on latest release.

### CDT 8.8.1 for Eclipse Mars

Eclipse package: [Eclipse C/C++ IDE for Mars.2](https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers/mars2).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/8.8.1>

The git repos have been tagged with the CDT_8_8_1 tag.

Archived p2 repos:

-   [cdt-8.8.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/8.8.1/cdt-8.8.1.zip)
-   [cdt-8.8.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/8.8/cdt-8.8.0.zip)
-   [cdt-8.7.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/8.7/cdt-8.7.0.zip)

CDT also provides its debugger as a stand-alone RCP application which can be downloaded and installed on its own, from: <https://download.eclipse.org/tools/cdt/releases/8.8.1/r/rcp>

The RCP stand-alone debugger has its own p2 software repository to be used within the RCP itself to upgrade it: <https://download.eclipse.org/tools/cdt/releases/8.8.1/r/rcp-repository>

### CDT 8.6.0 for Eclipse Luna

Eclipse package: [Eclipse C/C++ IDE for Luna SR2](https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers/lunasr2).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/8.6>

The git repos have been tagged with the CDT_8_6_0 tag.

Archived p2 repos:

-   [cdt-8.6.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/8.6/cdt-8.6.0.zip)
-   [cdt-8.5.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/8.5/cdt-8.5.0.zip)
-   [cdt-8.4.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/8.4/cdt-8.4.0.zip)

### CDT 8.3.0 for Eclipse Kepler

Eclipse package: [Eclipse C/C++ IDE for Kepler SR2](https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers/keplersr2).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/kepler>

The git repos have been tagged with the CDT_8_3_0 tag.

Archived p2 repos:

-   [cdt-master-8.3.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/kepler/sr2/cdt-master-8.3.0.zip)
-   [cdt-master-8.2.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/kepler/sr1/cdt-master-8.2.1.zip)
-   [cdt-master-8.2.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/kepler/r/cdt-master-8.2.0.zip)

### CDT 8.1.2 for Eclipse Juno

Eclipse package: [Eclipse C/C++ IDE for Juno SR2](https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers/junosr2).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/juno>

The git repos have been tagged with the CDT_8_1_2 tag.

Archived p2 repos:

-   [cdt-master-8.1.2.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/juno/sr2/cdt-master-8.1.2.zip)
-   [cdt-master-8.1.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/juno/sr1/cdt-master-8.1.1.zip)
-   [cdt-master-8.1.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/juno/r/cdt-master-8.1.0.zip)

### CDT 8.0.2 for Eclipse Indigo

Eclipse package: [Eclipse C/C++ IDE Indigo SR2](https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers-includes-incubating-components/indigosr2).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/indigo>

The git repos have been tagged with the CDT_8_0_2 tag.

Archived p2 repos:

-   [cdt-master-8.0.2.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/indigo/dist/cdt-master-8.0.2.zip)
-   [cdt-master-8.0.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/indigo/dist/cdt-master-8.0.1.zip)
-   [cdt-master-8.0.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/indigo/dist/cdt-master-8.0.0.zip)
  
### CDT 7.0.2 for Eclipse Helios

Eclipse package: [Eclipse C/C++ IDE Helios SR2](https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers/heliossr2).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/helios>

Archived p2 repos:

-   [cdt-master-7.0.2.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/helios/dist/cdt-master-7.0.2.zip)
-   [cdt-master-7.0.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/helios/dist/cdt-master-7.0.1.zip)
-   [cdt-master-7.0.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/helios/dist/cdt-master-7.0.0.zip)

### CDT 6.0.2 for Eclipse Galileo

Eclipse package: [Eclipse C/C++ IDE Galileo SR2](https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers/galileosr2).

p2 software repository: <https://download.eclipse.org/tools/cdt/releases/galileo>

Archived p2 repos:

-   [cdt-master-6.0.2.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/galileo/dist/cdt-master-6.0.2.zip)
-   [cdt-master-6.0.1.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/galileo/dist/cdt-master-6.0.1.zip)
-   [cdt-master-6.0.0.zip](https://www.eclipse.org/downloads/download.php?file=/tools/cdt/releases/galileo/dist/cdt-master-6.0.0.zip)
</details>
  
<details>
  <summary>CDT 0.x - 5.x release series</summary>
 
  There is limited information preserved about these old releases. Some of the download files are available on <https://archive.eclipse.org/tools/cdt/releases/> and <https://archive.eclipse.org/tools/cdt/updates/>
</details>

  
### Additional Distributions

The CDT can be installed as part of many commercial products or from the following open source distributions.

#### Linux

Most major Linux distributions include packages for Eclipse and the CDT. Check your package manager for availability.
